Bug 440279 - PK "Transaction Error" dialog doesn't put its details in a scrollable box
PK "Transaction Error" dialog doesn't put its details in a scrollable box
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
: 443278 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-04-02 12:08 EDT by Will Woods
Modified: 2008-05-06 13:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 13:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of dialog going off the bottom of the screen. (148.93 KB, image/png)
2008-04-02 12:08 EDT, Will Woods
no flags Details
what's in git (22.61 KB, image/png)
2008-04-13 12:38 EDT, Richard Hughes
no flags Details

  None (edit)
Description Will Woods 2008-04-02 12:08:03 EDT
If you have a transaction with lots and lots of errors (like, say, file
conflicts from multilib weirdness), the Transaction Error dialog, when expanded,
will become tall enough to go way, way off the bottom of the screen.

Screenshot attached.
Comment 1 Will Woods 2008-04-02 12:08:03 EDT
Created attachment 300088 [details]
Screenshot of dialog going off the bottom of the screen.
Comment 2 Richard Hughes 2008-04-03 04:03:49 EDT
Hmmm. Do you think we should put the backtrace in a treeview or something? Or
just truncate it?
Comment 3 Will Woods 2008-04-03 10:15:21 EDT
Treeview or something. There might have been conflicts with other packages, but I'll never know, 
because the window was cut off while it was still listing all the gnome-applet conflicts. We need to be 
able to scroll through the entire output.

Ideally it'd be something like:

Details > 
The following packages had problems:
  uw-imap, cyrus-imapd: file conflicts >
  gnome-applets-$v-$r.$a, gnome-applets-$v2-$r2.$a2: file conflicts >
  hal: corrupt file >

Where the '>' represents the arrow thingy to expand details. The package-specific details would 
contain all the error messages for (I need to learn gtk terminology better, sorry)

The package name(s) listed would be:
  1) Two simple package names, if the two affected packages have different names 
  2) Two full package identifiers, if the package names are the same, or
  3) The simple package name, if the problem only affects one package

But, yeah, that's much trickier. The immediate need is to be able to read the entire message so I can 
figure out which packages had problems.
Comment 4 Richard Hughes 2008-04-13 12:38:17 EDT
Created attachment 302275 [details]
what's in git

This is what I've added to git master - it's not quite a sane UI yet (we have
to work on the backend for that) but at least the dialog is not huuuuuge now.
Comment 5 Richard Hughes 2008-04-21 13:17:37 EDT
*** Bug 443278 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.